<!DOCTYPE html>
<html>
<head>
	<title>固定位置的中部</title>
	<style type="text/css">
		body{
			height: 2000px;
		}
		#div1{
			position:absolute;
			right:0;
			bottom:20%;
			width:100px;
			height:200px;
			background:red;
			border:1px solid black;
		}	
	</style>
	<script type="text/javascript">
		window.onscroll=function(){
			oDiv=document.getElementById('div1');
			var scrollTop=document.documentElement.scrollTop||document.body.scrollTop;
			// oDiv.style.top=(document.documentElement.clientHeight-oDiv.offsetHeight)/2+scrollTop+'px';
			// parseInt()小数取整
			startMove((parseInt(document.documentElement.clientHeight-oDiv.offsetHeight)/2)+scrollTop);
		};
		var timer=null;
		function startMove(iTarget){
			oDiv=document.getElementById('div1');
			clearInterval(timer);
			timer=setInterval(function(){
				var speed=(iTarget-oDiv.offsetTop)/6;
				speed=speed>0?Math.ceil(speed):Math.floor(speed);
				if(oDiv.offsetTop==iTarget){
					clearInterval(timer);
				}else{
					oDiv.style.top=oDiv.offsetTop+speed+'px';
				}
			},30);
		};
	</script>
</head>
<body>
	<div id="div1"></div>
</body>
</html>